{
    attributes = (
        {
            columnName = "DPRE_CODE"; 
            externalType = VARCHAR2; 
            name = dpreCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPRE_LIBELLE"; 
            externalType = VARCHAR2; 
            name = dpreLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DPRE_TRI"; 
            externalType = VARCHAR2; 
            name = dpreTri; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (dpreCode, dpreLibelle, dpreTri); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EODiplomePrepare"; 
    classProperties = (dpreCode, dpreLibelle, dpreTri); 
    externalName = "ADMISSION.DIPLOME_PREPARE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EODiplomePrepare"; 
    }; 
    name = "FwkScolarix_DiplomePrepare"; 
    primaryKeyAttributes = (dpreCode); 
}
